Debian Bug report logs - #606327
vmmemctl missing in squeeze

version graph

Package: open-vm-tools; Maintainer for open-vm-tools is Bernd Zeimetz <bzed@debian.org>; Source for open-vm-tools is src:open-vm-tools.

Reported by: Martin Zobel-Helas <zobel@debian.org>

Date: Wed, 8 Dec 2010 13:03:02 UTC

Severity: grave

Found in version open-vm-tools/2010.06.16-268169-3

Fixed in version open-vm-tools/1:8.4.2-261024-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, zobel@debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#606327; Package open-vm-dkms. (Wed, 08 Dec 2010 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <zobel@debian.org>:
New Bug report received and forwarded. Copy sent to zobel@debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Wed, 08 Dec 2010 13:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: vmmemctl missing in squeeze
Date: Wed, 8 Dec 2010 13:54:52 +0100
[Message part 1 (text/plain, inline)]
Package: open-vm-dkms
Version: 2010.06.16-268169-3
Severity: grave

Hi,

open-vm-dkms misses vmmemctl in the Squeeze. According to
debian/changelog it was removed with version 2010.06.16-268169-1 due to

   * Updating packaging for upstreams vmmemctl module removal.

Looking into upstreams changelog it there states:

   * vmmemctl: Linux driver removed (it's now upstream), plus
     cleanup and simplification of the FreeBSD and Solaris drivers.

Digging through kernel git, it was added with 2.6.34, which is not part
of Debian Squeeze. This makes the package partly unsuable, as vmmemctl
is really needed. See [1] page 15, "Memory Reclamation" for more
details.

While #588356 fixes the obvious problem with the init script, the
correct fix would have been to load the newer upstream kernel driver if
available. Just uploading a newer upstream version of a package which
drops kernel modules which are provided by newer kernels not provided on
Debian systems is bad. I wonder if you ever tested that package before
uploading 2010.06.16-268169-1, as you would have found 588356 by
yourself. Also looking into which kernel upstream version a module has
been integrated would had been a good idea before uploading.

Please provide vmmemctl on Squeeze machines and/or work with the Kernel
Team to get that module backported to 2.6.32 for Squeeze.


Cheers,
Martin

[1] http://www.vmware.com/pdf/esx2_performance_implications.pdf

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
 Martin Zobel-Helas <zobel@debian.org>  | Debian System Administrator
 Debian & GNU/Linux Developer           |           Debian Listmaster
 Public key http://zobel.ftbfs.de/5d64f870.asc   -   KeyID: 5D64 F870
 GPG Fingerprint:  5DB3 1301 375A A50F 07E7  302F 493E FB8E 5D64 F870
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'open-vm-dkms' to 'open-vm-tools'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 08 Dec 2010 18:24:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions open-vm-tools/2010.06.16-268169-3. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 08 Dec 2010 18:24:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'grave' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 08 Dec 2010 18:24:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#606327; Package open-vm-tools. (Wed, 08 Dec 2010 18:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Wed, 08 Dec 2010 18:33:10 GMT) Full text and rfc822 format available.

Message #16 received at 606327@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Martin Zobel-Helas <zobel@debian.org>
Cc: 606327@bugs.debian.org
Subject: Re: Bug#606327: vmmemctl missing in squeeze
Date: Wed, 08 Dec 2010 19:21:50 +0100
reassign 606327 open-vm-tools
severity 606327 important
thanks

On 12/08/2010 01:54 PM, Martin Zobel-Helas wrote:
> This makes the package partly unsuable

right, partially, correcting severity.

> Please provide vmmemctl on Squeeze machines

regarding open-vm-tools, according to release managers policy for 
unblocks, this is not possible anymore in the current state of the release.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#606327; Package open-vm-tools. (Wed, 08 Dec 2010 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <zobel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Wed, 08 Dec 2010 20:06:03 GMT) Full text and rfc822 format available.

Message #21 received at 606327@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@debian.org>
To: debian-release@lists.debian.org
Cc: 606327@bugs.debian.org
Subject: Re: Bug#606327: vmmemctl missing in squeeze
Date: Wed, 8 Dec 2010 20:24:03 +0100
Hi, 

On Wed Dec 08, 2010 at 19:21:50 +0100, Daniel Baumann wrote:
> reassign 606327 open-vm-tools
> severity 606327 important
> thanks
>
> On 12/08/2010 01:54 PM, Martin Zobel-Helas wrote:
>> This makes the package partly unsuable
>
> right, partially, correcting severity.
>
>> Please provide vmmemctl on Squeeze machines
>
> regarding open-vm-tools, according to release managers policy for  
> unblocks, this is not possible anymore in the current state of the 
> release.

I dissagree with the severity adjustment (but leave it untouched for
now). I do belive that this issue needs to be / should be fixed in
Sqeeze before the release.

Thus I am Cc'ing the release team so we get their input on this. Not
having vmmemctl (or vmw_balloon, the new name) in Squeeze means that
memory management will be broken within VMs on for VMWare hosts. This is
IMHO unacceptable.

Cheers
Martin
-- 
 Martin Zobel-Helas <zobel@debian.org>  | Debian System Administrator
 Debian & GNU/Linux Developer           |           Debian Listmaster
 Public key http://zobel.ftbfs.de/5d64f870.asc   -   KeyID: 5D64 F870
 GPG Fingerprint:  5DB3 1301 375A A50F 07E7  302F 493E FB8E 5D64 F870





Information forwarded to debian-bugs-dist@lists.debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#606327; Package open-vm-tools. (Wed, 08 Dec 2010 21:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Wed, 08 Dec 2010 21:15:10 GMT) Full text and rfc822 format available.

Message #26 received at 606327@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Martin Zobel-Helas <zobel@debian.org>
Cc: debian-release@lists.debian.org, 606327@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>, Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#606327: vmmemctl missing in squeeze
Date: Wed, 08 Dec 2010 22:14:12 +0100
severity 606327 grave
thanks

On 08/12/2010 20:24, Martin Zobel-Helas wrote:
> Hi,
>
> On Wed Dec 08, 2010 at 19:21:50 +0100, Daniel Baumann wrote:
>> reassign 606327 open-vm-tools severity 606327 important thanks
>>
>> On 12/08/2010 01:54 PM, Martin Zobel-Helas wrote:
>>> This makes the package partly unsuable
>>
>> right, partially, correcting severity.
>>
>>> Please provide vmmemctl on Squeeze machines
>>
>> regarding open-vm-tools, according to release managers policy for
>> unblocks, this is not possible anymore in the current state of the
>> release.
>

It's RC now. You can fix it. Could you please provide a reasonable fix for
this bug?

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Severity set to 'grave' from 'important' Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Wed, 08 Dec 2010 21:15:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#606327; Package open-vm-tools. (Wed, 08 Dec 2010 22:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Wed, 08 Dec 2010 22:51:06 GMT) Full text and rfc822 format available.

Message #33 received at 606327@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: Martin Zobel-Helas <zobel@debian.org>, debian-release@lists.debian.org, 606327@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#606327: vmmemctl missing in squeeze
Date: Wed, 08 Dec 2010 23:49:11 +0100
On 12/08/2010 10:14 PM, Mehdi Dogguy wrote:
>Could you please provide a reasonable fix for
> this bug?

the correct fix is to upload open-vm-tools 8.4.2-261024. will you accept 
this "new-old" upstream release for squeeze?

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#606327; Package open-vm-tools. (Thu, 09 Dec 2010 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Thu, 09 Dec 2010 11:57:03 GMT) Full text and rfc822 format available.

Message #38 received at 606327@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: daniel@debian.org
Cc: Martin Zobel-Helas <zobel@debian.org>, debian-release@lists.debian.org, 606327@bugs.debian.org
Subject: Re: Bug#606327: vmmemctl missing in squeeze
Date: Thu, 09 Dec 2010 12:54:09 +0100
On 08/12/2010 23:49, Daniel Baumann wrote:
> On 12/08/2010 10:14 PM, Mehdi Dogguy wrote:
>> Could you please provide a reasonable fix for this bug?
>
> the correct fix is to upload open-vm-tools 8.4.2-261024. will you
> accept this "new-old" upstream release for squeeze?
>

Yes. Go ahead. If you want to apply some backported fixes, please let us know
first.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#606327; Package open-vm-tools. (Thu, 09 Dec 2010 12:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Thu, 09 Dec 2010 12:09:06 GMT) Full text and rfc822 format available.

Message #43 received at 606327@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: Martin Zobel-Helas <zobel@debian.org>, debian-release@lists.debian.org, 606327@bugs.debian.org
Subject: Re: Bug#606327: vmmemctl missing in squeeze
Date: Thu, 09 Dec 2010 13:05:24 +0100
On 12/09/2010 12:54 PM, Mehdi Dogguy wrote:
> Yes. Go ahead. If you want to apply some backported fixes, please let us
> know
> first.

for clarity sake, it's not about 'backporting' fixes, it's about 
completely replacing the existing open-vm-tools upstream version with 
another one.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#606327; Package open-vm-tools. (Thu, 09 Dec 2010 12:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Thu, 09 Dec 2010 12:09:08 GMT) Full text and rfc822 format available.

Message #48 received at 606327@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: daniel@debian.org
Cc: Martin Zobel-Helas <zobel@debian.org>, debian-release@lists.debian.org, 606327@bugs.debian.org
Subject: Re: Bug#606327: vmmemctl missing in squeeze
Date: Thu, 09 Dec 2010 13:07:11 +0100
On 09/12/2010 13:05, Daniel Baumann wrote:
> On 12/09/2010 12:54 PM, Mehdi Dogguy wrote:
>> Yes. Go ahead. If you want to apply some backported fixes, please let
>> us know first.
>
> for clarity sake, it's not about 'backporting' fixes, it's about
> completely replacing the existing open-vm-tools upstream version with
> another one.
>

Yes. What I meant is: if you see some worthy fixes in current sid's
version that should be backported to the one you're going to upload, it
could be ok but please let us know first.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug Marked as found in versions open-vm-tools/2010.06.16-268169-3. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 09 Dec 2010 20:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#606327; Package open-vm-tools. (Tue, 14 Dec 2010 21:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bzed@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Tue, 14 Dec 2010 21:51:10 GMT) Full text and rfc822 format available.

Message #55 received at 606327@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: daniel@debian.org, 606327@bugs.debian.org
Cc: Mehdi Dogguy <mehdi@dogguy.org>, Martin Zobel-Helas <zobel@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#606327: vmmemctl missing in squeeze
Date: Tue, 14 Dec 2010 22:46:42 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 12/09/2010 01:05 PM, Daniel Baumann wrote:
> On 12/09/2010 12:54 PM, Mehdi Dogguy wrote:
>> Yes. Go ahead. If you want to apply some backported fixes, please let us
>> know
>> first.
> 
> for clarity sake, it's not about 'backporting' fixes, it's about
> completely replacing the existing open-vm-tools upstream version with
> another one.

Why do you want to replace a recent version of open-vm-tools (which usually
comes with a LOT of bugfixes by a pretty old version just to introduce the
removed module again? It seems you're not willing to maintain this package
properly, otherwise you'd look at your git repository (I'm sure it contains
upstream's git, too) and revert the commit(s) which removed the vmmemctl module.
Then - if you would care - would update the module to the latest version on
kernel.org. And then you would test your changes properly on a VMware
installation. Yes, I'm talking about proper testing, for example in some VMs on
a ESX machine. Oh, you don't have ESX? I heard you can download it for free, at
least for testing purposes. No hard tasks, so I fail to understand why we always
run into RC bugs whenever we look at a new version of this package. I'd suggest
you give the maintenance of open-vm-tools to somebody who actually cares about
it. Or has the proper time to do so.


- -- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprint: ECA1 E3F2 8E11 2432 D485  DD95 EB36 171A 6FF9 435F
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJNB+W9AAoJEOs2Fxpv+UNfbvkQAL8ttFctD7DfcG4O2RzP0uyV
8sl8Nl+8fxM2lmuKPVvkH3BDjSDF3Da930Ezr29GAAnBPi3X+wDGNee1CuIPaa2+
QqKwoeEi4279E1TJ54oY8VLzrcNX2GXAvzrq9iJpKJnkkZzHHOz0vmi5M0CrdMtW
a1qif8EhTKtrI85CGPrlknl9QnH4wOMPQ+CjjDkTwsifY3atytbw4dBhMDtQ7KR5
JmU2kb0C3ASPm8iA5lgc7GjgTagguE0EtV94ckjhY/m1oa2HQNqmqZIBJHmBIs6b
4azR9N0Sx2/kTq96Q9xt5+qqWI72in5Tz2bKoqYPXo0k6sp2aSQSOeWW+1ReaO45
J6/YQIDVLsZWBLSot6W4Epg237gsjsRuxXWTehIoMqBYAN4wKA6eVzxF7vauu7Zn
HPUvyUWAyCdMgG4wR6uniO+iW7faQ5wihzSGXfm00tZHFYKSlGV/uAw6o9+8B1Dg
xI7QaIGGtI6o2hwoyVBckq9U+/3kqddqoOsxrmL3b5zSEqfeWZv0JN83o8szO9ub
yPKSEq13ycRr0RElgxfNDK2slDDi6gt/pv7kERQEy5FmGV1JWKM6A3xSMP3hJSBG
zQMO6ZP693kwGKyi2hGnibJOdfQalrrNFT1FHVLQ45UFIGWvTU89JFDVkdKcm6cF
xmnNVhSFK98GnhHMQhN+
=7NVl
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#606327; Package open-vm-tools. (Sat, 18 Dec 2010 14:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Sat, 18 Dec 2010 14:33:07 GMT) Full text and rfc822 format available.

Message #60 received at 606327@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: Martin Zobel-Helas <zobel@debian.org>, debian-release@lists.debian.org, 606327@bugs.debian.org, Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#606327: vmmemctl missing in squeeze
Date: Sat, 18 Dec 2010 15:29:40 +0100
[Message part 1 (text/plain, inline)]
On Wed, Dec  8, 2010 at 22:14:12 +0100, Mehdi Dogguy wrote:

> severity 606327 grave
> thanks
> 
> On 08/12/2010 20:24, Martin Zobel-Helas wrote:
> >Hi,
> >
> >On Wed Dec 08, 2010 at 19:21:50 +0100, Daniel Baumann wrote:
> >>reassign 606327 open-vm-tools severity 606327 important thanks
> >>
> >>On 12/08/2010 01:54 PM, Martin Zobel-Helas wrote:
> >>>This makes the package partly unsuable
> >>
> >>right, partially, correcting severity.
> >>
> >>>Please provide vmmemctl on Squeeze machines
> >>
> >>regarding open-vm-tools, according to release managers policy for
> >>unblocks, this is not possible anymore in the current state of the
> >>release.
> >
> 
> It's RC now. You can fix it. Could you please provide a reasonable fix for
> this bug?
> 
What's up with this?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VMware Maintainers <vmware@lists.debian-maintainers.org>:
Bug#606327; Package open-vm-tools. (Sat, 18 Dec 2010 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian VMware Maintainers <vmware@lists.debian-maintainers.org>. (Sat, 18 Dec 2010 15:24:03 GMT) Full text and rfc822 format available.

Message #65 received at 606327@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Mehdi Dogguy <mehdi@dogguy.org>, Martin Zobel-Helas <zobel@debian.org>, debian-release@lists.debian.org, 606327@bugs.debian.org
Subject: Re: Bug#606327: vmmemctl missing in squeeze
Date: Sat, 18 Dec 2010 16:22:13 +0100
On 12/18/2010 03:29 PM, Julien Cristau wrote:
> What's up with this?

i have an initial version ready for experimental, which needs further 
testing and fixes though.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 19 Dec 2010 11:33:06 GMT) Full text and rfc822 format available.

Notification sent to Martin Zobel-Helas <zobel@debian.org>:
Bug acknowledged by developer. (Sun, 19 Dec 2010 11:33:06 GMT) Full text and rfc822 format available.

Message #70 received at 606327-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 606327-close@bugs.debian.org
Subject: Bug#606327: fixed in open-vm-tools 1:8.4.2-261024-1
Date: Sun, 19 Dec 2010 11:32:13 +0000
Source: open-vm-tools
Source-Version: 1:8.4.2-261024-1

We believe that the bug you reported is fixed in the latest version of
open-vm-tools, which is due to be installed in the Debian FTP archive:

open-vm-source_8.4.2-261024-1_all.deb
  to contrib/o/open-vm-tools/open-vm-source_8.4.2-261024-1_all.deb
open-vm-toolbox_8.4.2-261024-1_i386.deb
  to contrib/o/open-vm-tools/open-vm-toolbox_8.4.2-261024-1_i386.deb
open-vm-tools-dbg_8.4.2-261024-1_i386.deb
  to contrib/o/open-vm-tools/open-vm-tools-dbg_8.4.2-261024-1_i386.deb
open-vm-tools_8.4.2-261024-1.diff.gz
  to contrib/o/open-vm-tools/open-vm-tools_8.4.2-261024-1.diff.gz
open-vm-tools_8.4.2-261024-1.dsc
  to contrib/o/open-vm-tools/open-vm-tools_8.4.2-261024-1.dsc
open-vm-tools_8.4.2-261024-1_i386.deb
  to contrib/o/open-vm-tools/open-vm-tools_8.4.2-261024-1_i386.deb
open-vm-tools_8.4.2-261024.orig.tar.gz
  to contrib/o/open-vm-tools/open-vm-tools_8.4.2-261024.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 606327@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated open-vm-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 15 Dec 2010 01:08:45 +0100
Source: open-vm-tools
Binary: open-vm-tools open-vm-toolbox open-vm-tools-dbg open-vm-source
Architecture: source i386 all
Version: 1:8.4.2-261024-1
Distribution: unstable
Urgency: low
Maintainer: Debian VMware Maintainers <vmware@lists.debian-maintainers.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 open-vm-source - Source for VMware guest systems driver
 open-vm-toolbox - tools and components for VMware guest systems (GUI tools)
 open-vm-tools - tools and components for VMware guest systems (CLI tools)
 open-vm-tools-dbg - tools and components for VMware guest systems (debug)
Closes: 606327
Changes: 
 open-vm-tools (1:8.4.2-261024-1) unstable; urgency=low
 .
   * Merging upstream version 8.4.2-261024.
   * Re-enabling vmmemctl (Closes: #606327).
   * Re-enabling pvscsi.
   * Re-enabling vmxnet3.
   * Rediffing kvers.patch.
   * Updating modules to standards version 3.9.1.
   * Removing dkms package, doesn't work with 8.4.2 yet.
   * Excluding plugins from shlibdeps.
   * Setting rpath for plugins.
Checksums-Sha1: 
 194ee5775743d3d567a15f33768c15486183b915 1615 open-vm-tools_8.4.2-261024-1.dsc
 74ff966c6cee0bb21a21f482df2b23f401920627 3880446 open-vm-tools_8.4.2-261024.orig.tar.gz
 b6934a771790baadac5dfefd78d6dce56c78e037 19524 open-vm-tools_8.4.2-261024-1.diff.gz
 5f0748d2bde5480c10e46ca400815b4d3fbce56d 604672 open-vm-tools_8.4.2-261024-1_i386.deb
 424c6584024a140c9ffa5b30581403b215df5dce 600444 open-vm-toolbox_8.4.2-261024-1_i386.deb
 62b69d211a6ea5707849378fa5f2bfc6404cc506 2341138 open-vm-tools-dbg_8.4.2-261024-1_i386.deb
 ca1b1d40f23f26d128997c524e1d40d64458e13b 1152588 open-vm-source_8.4.2-261024-1_all.deb
Checksums-Sha256: 
 b0776989f9d9c82853b6fe29e21cd569bb2dc915f4f8acd6f4e2e9f53f5a0219 1615 open-vm-tools_8.4.2-261024-1.dsc
 3f29329b0049049e4344f43b9a45b56977c8cd59ea46acc8fcc1ff3fa53b01a8 3880446 open-vm-tools_8.4.2-261024.orig.tar.gz
 35ef47b681028c4fa5c7289d6d7ba322bed8b831e79c37292ff146dd2a07b925 19524 open-vm-tools_8.4.2-261024-1.diff.gz
 6ff0b0b31c156a721daf0effbc9240b9de1fbe813d82f512033dfc15e3b0b0d4 604672 open-vm-tools_8.4.2-261024-1_i386.deb
 3b1520e71b441be40955d4f67c547abf63a648b020bb8c56435456caad3b18fb 600444 open-vm-toolbox_8.4.2-261024-1_i386.deb
 a8fc3b000ff53971df296495297b87141dc3d2650e6c69d05c8430fcb711bd71 2341138 open-vm-tools-dbg_8.4.2-261024-1_i386.deb
 c2bcdaac568b9d4595b1f6f49e2500b7267bd3ff761a3f07e343dc4590a99688 1152588 open-vm-source_8.4.2-261024-1_all.deb
Files: 
 1395bbcc504b90f43350e0fc078148cd 1615 contrib/admin extra open-vm-tools_8.4.2-261024-1.dsc
 4d9ddc865b42fc6982c3078031500486 3880446 contrib/admin extra open-vm-tools_8.4.2-261024.orig.tar.gz
 6090a839ba7a9d1f924bf80664e9a21a 19524 contrib/admin extra open-vm-tools_8.4.2-261024-1.diff.gz
 54d3c7a6a3091766e4569ee44873314d 604672 contrib/admin extra open-vm-tools_8.4.2-261024-1_i386.deb
 505d5e12f7939dc77af3c055b9ba1ff7 600444 contrib/admin extra open-vm-toolbox_8.4.2-261024-1_i386.deb
 9c26f5c1aa5c0b83fec984d6f526bf9e 2341138 contrib/debug extra open-vm-tools-dbg_8.4.2-261024-1_i386.deb
 5c7729c20740b53a877aedc883b0d177 1152588 contrib/admin extra open-vm-source_8.4.2-261024-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0N6l8ACgkQ+C5cwEsrK54ZjQCgve79qqk5T64ALh3NCJPJYkIG
f9IAn3CxXjXgQhgpm0/JaivL07jUd7dI
=HYx/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jan 2011 07:32:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:39:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.